# 数值的隐式类型转换

Joe 需要使用下列表做一项数值计算

```postgresql
create table points(
    id serial primary key,
    x int,
    y int
);
```

计算查询为：

```postgresql
select id, (x^2 + y^2)/2 as result from points;
```

得到的结果集中，result 列的类型应该是：

## 答案

double

## 选项

### A

float

### B

decimal

### C

int

### D

long

### E

byte
