# JSON 和 JSONB 类型

关于 JSON 和 JSONB 类型，哪句话是错的？

## 答案

JSON 就是 文本类型的封装，JSONB 是 JSON 的二进制压缩格式，JSON 和 JSONB 的功能与 TEXT 类型一样。

## 选项

### A

JSONB 是推荐的 JSON 字段类型，更为高效。

### B

JSONB 可以通过 GIST 倒排索引优化对内部结构的查询。


### C

PostgreSQL JSON 和 JSONB 支持 JSON PATH表达式

### D

JSONB 和 文本可以有效兼容

### E

JSON 和 JSONB 与其它类型一样，不能部分修改，只能作为整体插入或更新

